%bcond_without check

%global goipath         github.com/d2g/dhcp4
%global commit          a1d1b6c41b1ce8a71a5121a9cee31809c4707d9c

%gometa

%global common_description %{expand:
A DHCP library written in Go.}

%global golicenses      LICENSE
%global godocs          README.md

%global gosupfiles      glide.lock glide.yaml

Name:           %{goname}
Version:        0
Release:    1%{?dist}
Summary:        DHCP4 library written in Go

License:        BSD
URL:            %{gourl}
Source0:        %{gosource}
Source1:        glide.yaml
Source2:        glide.lock

%description
%{common_description}

%gopkg

%prep
%goprep
cp %{S:1} %{S:2} .

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Mon Aug 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
